Subject: Re: Another question about importing SVN with fast-import

From: Jan Hudec <[email-masked]>
Date: Mon, 23 Jul 2007 20:06:36 +0200

On Fri, Jul 20, 2007 at 01:11:42 -0400, Shawn O. Pearce wrote:
> It is possible.  I'm just not sure what the syntax for it should be.
> Suggestions?  I really want to stay backwards compatible with the
> current "C" command, so:
> 
> 	'C' SP commit SP path SP path
> 
> is out because its ambiguous with the current meaning where the
> second (destination) path can contain SP without being quoted by
> the frontend.

I'd suggest one of two variants:
 1) 'M' SP <mode> SP <dataref> SP <path> LF
    where <dataref> would be extended to understand the
    {tag-id|commit-id|tree-id}:path notation git-ref-parse understands plus
    mark:path where mark points to commit.
 2) 'C' SP <dataref> SP <path> LF
    where again <dataref> can be {tag-id|commit-id|tree-id|mark}:path -- or
    just path which implies current head.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>